libnvme(2)

NAME
enum nvme_flbas - This field indicates the formatted LBA size

SYNOPSIS
enum nvme_flbas {
NVME_FLBAS_LOWER_SHIFT ,
NVME_FLBAS_META_EXT_SHIFT ,
NVME_FLBAS_HIGHER_SHIFT ,
NVME_FLBAS_LOWER_MASK ,
NVME_FLBAS_META_EXT_MASK ,
NVME_FLBAS_HIGHER_MASK

};

Constants

NVME_FLBAS_LOWER_SHIFT
    Shift amount to get the format index least significant 4 bits

NVME_FLBAS_META_EXT_SHIFT
    Shift amount to get the metadata transferred

NVME_FLBAS_HIGHER_SHIFT
    Shift amount to get the format index most significant 2 bits

NVME_FLBAS_LOWER_MASK
    Mask to get the format index least significant 4 bits

NVME_FLBAS_META_EXT_MASK
    Mask to get the metadata transferred

NVME_FLBAS_HIGHER_MASK
    Mask to get the format index most significant 2 bits